{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZORDER",
    "mOSFilePath" : "pslanguageres/Auto1479",
    "rTMOSFilePath" : "pslanguageres/Auto1479"
  },
  "caption" : "订单",
  "codeName" : "IBIZOrderF19EditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderF19EditView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderF19EditView",
  "memo" : "系统自动添加",
  "name" : "IBIZOrderF19EditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderF19EditView/psappviewengines/engine",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "form",
      "name" : "FORM",
      "paramType" : "CTRL"
    }, {
      "name" : "P2K",
      "paramType" : "VALUE",
      "value" : 0
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem3",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem3_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem3"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem5",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem5_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem5"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem9_saveandstart",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem9_saveandstart_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem9_saveandstart"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem15",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem15_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem15"
    },
    "getPSViewCtrlName" : "toolbar"
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "WFSTART@1",
    "realOpenMode" : "POPUPMODAL",
    "realTitle" : "订单工作流启动视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZORDER.WFSTARTVIEW",
      "mOSFilePath" : "pslanguageres/Auto1101",
      "rTMOSFilePath" : "pslanguageres/Auto1101"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderWFStartView.json",
      "viewType" : "DEWFSTARTVIEW"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "toolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "New"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem3",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Save"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem5",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "SaveAndExit"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem9_saveandstart",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "SaveAndStart"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem15",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Print"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "form"
  } ],
  "getPSControls" : [ {
    "codeName" : "F19EditViewtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "工具栏模板（默认编辑界面）",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdetoolbars/F19EditViewtoolbar",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "tbitem3",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem3_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3_click"
      }
    }, {
      "eventArg" : "tbitem5",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem5_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem5_click"
      }
    }, {
      "eventArg" : "tbitem9_saveandstart",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem9_saveandstart_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem9_saveandstart_click"
      }
    }, {
      "eventArg" : "tbitem15",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem15_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem15_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.NEW",
        "mOSFilePath" : "pslanguageres/Auto1712",
        "rTMOSFilePath" : "pslanguageres/Auto1712"
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW",
          "mOSFilePath" : "pslanguageres/Auto1712",
          "rTMOSFilePath" : "pslanguageres/Auto1712"
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "name" : "编辑界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "EDITVIEW_NEWACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW",
          "mOSFilePath" : "pslanguageres/Auto274",
          "rTMOSFilePath" : "pslanguageres/Auto274"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.NEW",
        "mOSFilePath" : "pslanguageres/Auto274",
        "rTMOSFilePath" : "pslanguageres/Auto274"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.SAVE",
        "mOSFilePath" : "pslanguageres/Auto71",
        "rTMOSFilePath" : "pslanguageres/Auto71"
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3"
      },
      "getPSSysCss" : {
        "cssName" : "deepskyblueToolBar"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "mOSFilePath" : "pslanguageres/Auto71",
          "rTMOSFilePath" : "pslanguageres/Auto71"
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "mOSFilePath" : "pslanguageres/Auto1630",
          "rTMOSFilePath" : "pslanguageres/Auto1630"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.SAVE",
        "mOSFilePath" : "pslanguageres/Auto1630",
        "rTMOSFilePath" : "pslanguageres/Auto1630"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "actionLevel" : 250,
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
        "mOSFilePath" : "pslanguageres/Auto643",
        "rTMOSFilePath" : "pslanguageres/Auto643"
      },
      "caption" : "保存并关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem5"
      },
      "getPSSysImage" : {
        "cssClass" : "ivu-icon ivu-icon-ios-battery-dead"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
          "mOSFilePath" : "pslanguageres/Auto643",
          "rTMOSFilePath" : "pslanguageres/Auto643"
        },
        "caption" : "保存并关闭",
        "codeName" : "SaveAndExit",
        "fullCodeName" : "SaveAndExit",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/SaveAndExit",
        "name" : "编辑界面_保存并退出操作",
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandclose"
        },
        "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/SaveAndExit",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
          "mOSFilePath" : "pslanguageres/Auto271",
          "rTMOSFilePath" : "pslanguageres/Auto271"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveAndExit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存并关闭",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
        "mOSFilePath" : "pslanguageres/Auto271",
        "rTMOSFilePath" : "pslanguageres/Auto271"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem8",
      "spanMode" : false
    }, {
      "caption" : "开始流程",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem9_saveandstart",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem9_saveandstart"
      },
      "getPSUIAction" : {
        "caption" : "开始流程",
        "codeName" : "SaveAndStart",
        "dataAccessAction" : "WFSTART",
        "fullCodeName" : "SaveAndStart",
        "mOSFilePath" : "psdeuiactions/SaveAndStart",
        "name" : "开始流程",
        "getNextPSUIAction" : {
          "modelref" : true,
          "id" : "WFStartWizard@ODSPv1"
        },
        "getPSDEOPPriv" : {
          "modelref" : true,
          "id" : "WFSTART"
        },
        "predefinedType" : "EDITVIEW_SAVEANDSTARTWFACTION",
        "rTMOSFilePath" : "psdeuiactions/SaveAndStart",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveAndStart",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "开始流程",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "tbitem13",
      "spanMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.PRINT",
        "mOSFilePath" : "pslanguageres/Auto59",
        "rTMOSFilePath" : "pslanguageres/Auto59"
      },
      "caption" : "打印",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem15",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem15"
      },
      "getPSSysImage" : {
        "glyph" : "xf02f@FontAwesome",
        "cssClass" : "fa fa-print"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.PRINT",
          "mOSFilePath" : "pslanguageres/Auto59",
          "rTMOSFilePath" : "pslanguageres/Auto59"
        },
        "caption" : "打印",
        "codeName" : "Print",
        "fullCodeName" : "Print",
        "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Print",
        "name" : "编辑界面_打印操作",
        "getPSSysImage" : {
          "glyph" : "xf02f@FontAwesome",
          "cssClass" : "fa fa-print"
        },
        "predefinedType" : "EDITVIEW_PRINTACTION",
        "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Print",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.PRINT",
          "mOSFilePath" : "pslanguageres/Auto1134",
          "rTMOSFilePath" : "pslanguageres/Auto1134"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Print",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "打印",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.PRINT",
        "mOSFilePath" : "pslanguageres/Auto1134",
        "rTMOSFilePath" : "pslanguageres/Auto1134"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderF19EditView/psappviewctrls/toolbar",
    "modelid" : "b912ff540f5614f63914a38067d84728",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "DATA_0024",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSFORMS/DATA_0024.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
    "logicName" : "属性映射（计数）",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdeform_editforms/DATA_0024",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "WFSTART",
        "actionType" : "WFACTION",
        "name" : "WFSTART",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "WFSUBMIT",
        "actionType" : "WFACTION",
        "name" : "WFSUBMIT",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;SAVE;REMOVE",
      "logicTag" : "form",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_form",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "orderuid",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "ORDERUID",
        "codeName" : "OrderUID"
      }
    }, {
      "id" : "ibizordername",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    }, {
      "id" : "ordertime",
      "dataType" : 5,
      "createDVT" : "CURTIME",
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      }
    }, {
      "id" : "ibizcustomername",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMERNAME",
        "codeName" : "IBIZCustomerName"
      }
    }, {
      "id" : "ordertype",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "ORDERTYPE",
        "codeName" : "OrderType"
      }
    }, {
      "id" : "detailnum",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "DETAILNUM",
        "codeName" : "DetailNum"
      }
    }, {
      "id" : "orderstate",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "ORDERSTATE",
        "codeName" : "OrderState"
      }
    }, {
      "id" : "memo",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "MEMO",
        "codeName" : "Memo"
      }
    }, {
      "id" : "ibizcustomerid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMERID",
        "codeName" : "IBIZCustomerId"
      }
    }, {
      "id" : "ibizorderid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.FORMPAGE.FORMPAGE1",
        "mOSFilePath" : "pslanguageres/Auto890",
        "rTMOSFilePath" : "pslanguageres/Auto890"
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.GROUPPANEL.GROUP1",
          "mOSFilePath" : "pslanguageres/Auto750",
          "rTMOSFilePath" : "pslanguageres/Auto750"
        },
        "caption" : "订单基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/group1",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.ORDERUID",
            "mOSFilePath" : "pslanguageres/Auto526",
            "rTMOSFilePath" : "pslanguageres/Auto526"
          },
          "caption" : "订单编号",
          "codeName" : "orderuid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/orderuid",
          "name" : "orderuid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ORDERUID",
            "codeName" : "OrderUID"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "orderuid"
          },
          "getPSLayoutPos" : {
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/orderuid",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZORDERNAME",
            "mOSFilePath" : "pslanguageres/Auto751",
            "rTMOSFilePath" : "pslanguageres/Auto751"
          },
          "caption" : "订单名称",
          "codeName" : "ibizordername",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ibizordername",
          "name" : "ibizordername",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZORDERNAME",
            "codeName" : "IBIZOrderName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "ibizordername"
          },
          "getPSLayoutPos" : {
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ibizordername",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.ORDERTIME",
            "mOSFilePath" : "pslanguageres/Auto691",
            "rTMOSFilePath" : "pslanguageres/Auto691"
          },
          "caption" : "订单时间",
          "codeName" : "ordertime",
          "createDVT" : "CURTIME",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 230.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ordertime",
          "name" : "ordertime",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ORDERTIME",
            "codeName" : "OrderTime"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "ordertime"
          },
          "getPSLayoutPos" : {
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ordertime",
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZORDER.IBIZCUSTOMERNAME",
            "mOSFilePath" : "pslanguageres/Auto1063",
            "rTMOSFilePath" : "pslanguageres/Auto1063"
          },
          "caption" : "客户名称",
          "codeName" : "ibizcustomername",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ibizcustomername",
          "name" : "ibizcustomername",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERNAME",
            "codeName" : "IBIZCustomerName"
          },
          "getPSEditor" : {
            "editorParams" : {
              "AC" : "TRUE",
              "PICKUPVIEW" : "TRUE"
            },
            "editorType" : "PICKER",
            "handlerType" : "PickupText",
            "name" : "ibizcustomername",
            "getPSAppDEACMode" : {
              "modelref" : true,
              "id" : "Default"
            },
            "getPSAppDEDataSet" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            },
            "getPickupPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomerPickupView.json",
              "viewType" : "DEPICKUPVIEW"
            },
            "valueItemName" : "ibizcustomerid",
            "enableAC" : true,
            "enablePickupView" : true,
            "forceSelection" : true,
            "showTrigger" : true,
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ibizcustomername",
          "valueItemName" : "ibizcustomerid",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.ORDERTYPE",
            "mOSFilePath" : "pslanguageres/Auto647",
            "rTMOSFilePath" : "pslanguageres/Auto647"
          },
          "caption" : "订单类型",
          "codeName" : "ordertype",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ordertype",
          "name" : "ordertype",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ORDERTYPE",
            "codeName" : "OrderType"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "ordertype",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/DYNAORDERTYPE.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ordertype",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.IBIZORDER.DATA_0024.FORMITEM.DETAILNUM",
            "mOSFilePath" : "pslanguageres/Auto475",
            "rTMOSFilePath" : "pslanguageres/Auto475"
          },
          "caption" : "明细数（计数）",
          "codeName" : "detailnum",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/detailnum",
          "name" : "detailnum",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "DETAILNUM",
            "codeName" : "DetailNum"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "detailnum",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/detailnum",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.ORDERSTATE",
            "mOSFilePath" : "pslanguageres/Auto1017",
            "rTMOSFilePath" : "pslanguageres/Auto1017"
          },
          "caption" : "订单状态",
          "codeName" : "orderstate",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 0,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/orderstate",
          "name" : "orderstate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ORDERSTATE",
            "codeName" : "OrderState"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "orderstate",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 6,
            "colSM" : 6,
            "colXS" : 6,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/orderstate",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.MEMO",
            "mOSFilePath" : "pslanguageres/Auto269",
            "rTMOSFilePath" : "pslanguageres/Auto269"
          },
          "caption" : "备注",
          "codeName" : "memo",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 100.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/memo",
          "name" : "memo",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "MEMO",
            "codeName" : "Memo"
          },
          "getPSEditor" : {
            "editorHeight" : 100.0,
            "editorParams" : {
              "HEIGHT" : "200"
            },
            "editorType" : "TEXTAREA_10",
            "maxLength" : 2000,
            "name" : "memo",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 12,
            "colSM" : 12,
            "colXS" : 12,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/memo",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 6,
          "childColSM" : 6,
          "childColXS" : 6,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 12,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZORDER.DATA_0024.GROUPPANEL.GROUPPANEL1",
          "mOSFilePath" : "pslanguageres/Auto1786",
          "rTMOSFilePath" : "pslanguageres/Auto1786"
        },
        "caption" : "订单明细",
        "codeName" : "grouppanel1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
        "name" : "grouppanel1",
        "getPSDEFormDetails" : [ {
          "codeName" : "druipart1",
          "detailStyle" : "DEFAULT",
          "detailType" : "DRUIPART",
          "mOSFilePath" : "psdeformdetail_druiparts/druipart1",
          "name" : "druipart1",
          "getPSAppView" : {
            "accUserMode" : 2,
            "getCapPSLanguageRes" : {
              "lanResTag" : "DE.LNAME.IBIZORDERDETAIL",
              "mOSFilePath" : "pslanguageres/Auto904",
              "rTMOSFilePath" : "pslanguageres/Auto904"
            },
            "caption" : "订单明细",
            "codeName" : "IBIZOrderDetailGridView",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailGridView.json",
            "funcViewMode" : "MDATAVIEW",
            "gridRowActiveMode" : 2,
            "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView",
            "memo" : "系统自动添加",
            "name" : "IBIZOrderDetailGridView",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
            },
            "getPSAppModule" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
            },
            "getPSAppViewEngines" : [ {
              "engineCat" : "VIEW",
              "engineType" : "GridView",
              "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView/psappviewengines/engine",
              "name" : "engine",
              "getPSUIEngineParams" : [ {
                "appViewLogicName" : "opendata",
                "name" : "OPENDATA",
                "paramType" : "LOGIC"
              }, {
                "appViewLogicName" : "newdata",
                "name" : "NEWDATA",
                "paramType" : "LOGIC"
              }, {
                "ctrlName" : "grid",
                "name" : "GRID",
                "paramType" : "CTRL"
              } ]
            } ],
            "getPSAppViewLogics" : [ {
              "eventArg" : "tbitem3",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem3_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem3"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "deuiaction2",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_deuiaction2_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction2"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem4",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem4_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem4"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem6",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem6_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem6"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "deuiaction3",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_deuiaction3_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction3"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem24",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem24_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem24"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem25",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem25_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem25"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem8",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem8_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem8"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem13",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem13_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem13"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "deuiaction1",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_deuiaction1_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction1"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem11",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem11_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem11"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem21",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem21_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem21"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "eventArg" : "tbitem23",
              "eventNames" : "CLICK",
              "logicTrigger" : "CTRLEVENT",
              "logicType" : "APPVIEWUIACTION",
              "name" : "toolbar_tbitem23_click",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem23"
              },
              "getPSViewCtrlName" : "toolbar"
            }, {
              "logicTrigger" : "CUSTOM",
              "logicType" : "SYSUILOGIC",
              "name" : "newdata",
              "getPSAppUILogic" : {
                "actionAfterWizard" : "DEFAULT",
                "logicType" : "PREDEFINED",
                "name" : "新建数据",
                "getNewDataPSAppView" : {
                  "mOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
                  "rTMOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
                  "getRefPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
                    "viewType" : "DEEDITVIEW"
                  }
                },
                "getPSAppUILogicRefViews" : [ {
                  "mOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
                  "rTMOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
                  "getRefPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
                    "viewType" : "DEEDITVIEW"
                  }
                } ],
                "viewLogicType" : "APP_NEWDATA",
                "batchAddOnly" : false,
                "enableBatchAdd" : false,
                "enableWizardAdd" : false
              }
            }, {
              "logicTrigger" : "CUSTOM",
              "logicType" : "SYSUILOGIC",
              "name" : "opendata",
              "getPSAppUILogic" : {
                "logicType" : "PREDEFINED",
                "name" : "打开数据",
                "getOpenDataPSAppView" : {
                  "mOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
                  "rTMOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
                  "getRefPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
                    "viewType" : "DEEDITVIEW"
                  }
                },
                "getPSAppUILogicRefViews" : [ {
                  "mOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
                  "rTMOSFilePath" : "psappviewlogicrefviews/IBIZOrderDetailEditView",
                  "getRefPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
                    "viewType" : "DEEDITVIEW"
                  }
                } ],
                "viewLogicType" : "APP_OPENDATA",
                "editMode" : true
              }
            } ],
            "getPSAppViewRefs" : [ {
              "name" : "EDITDATA",
              "realTitle" : "订单明细编辑视图",
              "getRealTitlePSLanguageRes" : {
                "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.EDITVIEW",
                "mOSFilePath" : "pslanguageres/Auto154",
                "rTMOSFilePath" : "pslanguageres/Auto154"
              },
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            }, {
              "name" : "NEWDATA",
              "realTitle" : "订单明细编辑视图",
              "getRealTitlePSLanguageRes" : {
                "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.EDITVIEW",
                "mOSFilePath" : "pslanguageres/Auto154",
                "rTMOSFilePath" : "pslanguageres/Auto154"
              },
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "getPSAppViewUIActions" : [ {
              "name" : "toolbar_tbitem3",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "New"
              },
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_deuiaction2",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "Save"
              },
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem4",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "Edit"
              },
              "uIActionTarget" : "SINGLEKEY",
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem6",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "Copy"
              },
              "uIActionTarget" : "SINGLEKEY",
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_deuiaction3",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "ToggleFilter"
              },
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem24",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "ToggleRowEdit"
              },
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem25",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "NewRow"
              },
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem8",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "uIActionTarget" : "MULTIKEY",
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem13",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "ExportExcel"
              },
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_deuiaction1",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "ImportExcel"
              },
              "uIActionTarget" : "NONE",
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem11",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "Print"
              },
              "uIActionTarget" : "MULTIKEY",
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem21",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "ExportModel"
              },
              "xDataControlName" : "grid"
            }, {
              "name" : "toolbar_tbitem23",
              "getPSUIAction" : {
                "modelref" : true,
                "id" : "Import"
              },
              "xDataControlName" : "grid"
            } ],
            "getPSControls" : [ {
              "aggMode" : "NONE",
              "codeName" : "Main",
              "columnEnableLink" : 2,
              "controlType" : "GRID",
              "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSGRIDS/Main.json",
              "getFetchPSControlAction" : {
                "modelref" : true,
                "id" : "fetch"
              },
              "groupMode" : "NONE",
              "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
              "logicName" : "主表格",
              "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/psdegrids/Main",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              },
              "getPSControlHandler" : {
                "getPSHandlerActions" : [ {
                  "actionName" : "Get",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "READ",
                  "name" : "load",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Get"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                  }
                }, {
                  "actionName" : "Create",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "CREATE",
                  "name" : "create",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Create"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                  }
                }, {
                  "actionName" : "Update",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "UPDATE",
                  "name" : "update",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Update"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                  }
                }, {
                  "actionName" : "Remove",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "DELETE",
                  "name" : "remove",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Remove"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                  }
                }, {
                  "actionName" : "GetDraft",
                  "actionType" : "DEACTION",
                  "dataAccessAction" : "CREATE",
                  "name" : "loaddraft",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "GetDraft"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                  }
                }, {
                  "actionType" : "DEDATASET",
                  "name" : "fetch",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "FetchDefault"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                  }
                } ],
                "userDRAction" : "READ",
                "enableDEFieldPrivilege" : false,
                "id" : "数据表格处理器"
              },
              "getPSControlLogics" : [ {
                "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
                "logicTag" : "grid",
                "logicType" : "APPVIEWENGINE",
                "name" : "engine_grid",
                "getPSAppViewEngine" : {
                  "modelref" : true,
                  "id" : "engine"
                }
              } ],
              "getPSControlParam" : {
                "autoLoad" : true,
                "showBusyIndicator" : true,
                "id" : "GRID"
              },
              "getPSDEGridColumns" : [ {
                "align" : "LEFT",
                "cLConvertMode" : "NONE",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDERDETAILNAME",
                  "mOSFilePath" : "pslanguageres/Auto697",
                  "rTMOSFilePath" : "pslanguageres/Auto697"
                },
                "caption" : "订单明细名称",
                "codeName" : "ibizorderdetailname",
                "columnType" : "DEFGRIDCOLUMN",
                "dataItemName" : "ibizorderdetailname",
                "excelCaption" : "订单明细名称",
                "mOSFilePath" : "psdegridcols/ibizorderdetailname",
                "name" : "ibizorderdetailname",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "IBIZORDERDETAILNAME",
                  "codeName" : "IBIZOrderDetailName"
                },
                "rTMOSFilePath" : "psdegridcols/ibizorderdetailname",
                "width" : 150,
                "widthUnit" : "PX",
                "enableSort" : true
              }, {
                "align" : "LEFT",
                "cLConvertMode" : "NONE",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME",
                  "mOSFilePath" : "pslanguageres/Auto1651",
                  "rTMOSFilePath" : "pslanguageres/Auto1651"
                },
                "caption" : "订单名称",
                "codeName" : "IBIZordername",
                "columnType" : "DEFGRIDCOLUMN",
                "dataItemName" : "ibizordername",
                "excelCaption" : "订单名称",
                "getLinkPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderRedirectView.json",
                  "viewType" : "DEREDIRECTVIEW"
                },
                "linkValueItem" : "ibizorderid",
                "mOSFilePath" : "psdegridcols/IBIZordername",
                "name" : "IBIZordername",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "IBIZORDERNAME",
                  "codeName" : "IBIZOrderName"
                },
                "rTMOSFilePath" : "psdegridcols/IBIZordername",
                "width" : 150,
                "widthUnit" : "PX",
                "enableLinkView" : true,
                "enableSort" : true
              }, {
                "align" : "LEFT",
                "cLConvertMode" : "NONE",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME",
                  "mOSFilePath" : "pslanguageres/Auto924",
                  "rTMOSFilePath" : "pslanguageres/Auto924"
                },
                "caption" : "产品名称",
                "codeName" : "IBIZuniproductname",
                "columnType" : "DEFGRIDCOLUMN",
                "dataItemName" : "ibizuniproductname",
                "excelCaption" : "产品名称",
                "getLinkPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductRedirectView.json",
                  "viewType" : "DEREDIRECTVIEW"
                },
                "linkValueItem" : "ibizuniproductid",
                "mOSFilePath" : "psdegridcols/IBIZuniproductname",
                "name" : "IBIZuniproductname",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "IBIZUNIPRODUCTNAME",
                  "codeName" : "IBIZUNIProductName"
                },
                "rTMOSFilePath" : "psdegridcols/IBIZuniproductname",
                "width" : 150,
                "widthUnit" : "px",
                "enableLinkView" : true,
                "enableSort" : true
              }, {
                "align" : "LEFT",
                "cLConvertMode" : "NONE",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.QUANTITY",
                  "mOSFilePath" : "pslanguageres/Auto1126",
                  "rTMOSFilePath" : "pslanguageres/Auto1126"
                },
                "caption" : "数量",
                "codeName" : "quantity",
                "columnType" : "DEFGRIDCOLUMN",
                "dataItemName" : "quantity",
                "excelCaption" : "数量",
                "mOSFilePath" : "psdegridcols/quantity",
                "name" : "quantity",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "QUANTITY",
                  "codeName" : "Quantity"
                },
                "rTMOSFilePath" : "psdegridcols/quantity",
                "width" : 150,
                "widthUnit" : "px",
                "enableSort" : true
              }, {
                "align" : "LEFT",
                "cLConvertMode" : "NONE",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.UNITPRICE",
                  "mOSFilePath" : "pslanguageres/Auto937",
                  "rTMOSFilePath" : "pslanguageres/Auto937"
                },
                "caption" : "单价",
                "codeName" : "unitprice",
                "columnType" : "DEFGRIDCOLUMN",
                "dataItemName" : "unitprice",
                "excelCaption" : "单价",
                "mOSFilePath" : "psdegridcols/unitprice",
                "name" : "unitprice",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "UNITPRICE",
                  "codeName" : "UnitPrice"
                },
                "rTMOSFilePath" : "psdegridcols/unitprice",
                "width" : 150,
                "widthUnit" : "px",
                "enableSort" : true
              }, {
                "align" : "LEFT",
                "cLConvertMode" : "NONE",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.AMOUNT",
                  "mOSFilePath" : "pslanguageres/Auto1494",
                  "rTMOSFilePath" : "pslanguageres/Auto1494"
                },
                "caption" : "小计",
                "codeName" : "amount",
                "columnType" : "DEFGRIDCOLUMN",
                "dataItemName" : "amount",
                "excelCaption" : "小计",
                "mOSFilePath" : "psdegridcols/amount",
                "name" : "amount",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "AMOUNT",
                  "codeName" : "Amount"
                },
                "rTMOSFilePath" : "psdegridcols/amount",
                "width" : 100,
                "widthUnit" : "STAR",
                "enableSort" : true
              }, {
                "align" : "LEFT",
                "cLConvertMode" : "NONE",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.UNIT",
                  "mOSFilePath" : "pslanguageres/Auto32",
                  "rTMOSFilePath" : "pslanguageres/Auto32"
                },
                "caption" : "单位",
                "codeName" : "unit",
                "columnType" : "DEFGRIDCOLUMN",
                "dataItemName" : "unit",
                "excelCaption" : "单位",
                "mOSFilePath" : "psdegridcols/unit",
                "name" : "unit",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "UNIT",
                  "codeName" : "Unit"
                },
                "rTMOSFilePath" : "psdegridcols/unit",
                "width" : 150,
                "widthUnit" : "PX",
                "enableSort" : true
              } ],
              "getPSDEGridDataItems" : [ {
                "dataType" : 25,
                "name" : "ibizorderdetailname",
                "getPSAppDEField" : {
                  "name" : "IBIZORDERDETAILNAME",
                  "codeName" : "IBIZOrderDetailName"
                }
              }, {
                "dataType" : 25,
                "name" : "ibizordername",
                "getPSAppDEField" : {
                  "name" : "IBIZORDERNAME",
                  "codeName" : "IBIZOrderName"
                }
              }, {
                "dataType" : 25,
                "name" : "ibizuniproductname",
                "getPSAppDEField" : {
                  "name" : "IBIZUNIPRODUCTNAME",
                  "codeName" : "IBIZUNIProductName"
                }
              }, {
                "dataType" : 9,
                "name" : "quantity",
                "getPSAppDEField" : {
                  "name" : "QUANTITY",
                  "codeName" : "Quantity"
                }
              }, {
                "dataType" : 7,
                "name" : "unitprice",
                "getPSAppDEField" : {
                  "name" : "UNITPRICE",
                  "codeName" : "UnitPrice"
                }
              }, {
                "dataType" : 7,
                "name" : "amount",
                "getPSAppDEField" : {
                  "name" : "AMOUNT",
                  "codeName" : "Amount"
                }
              }, {
                "dataType" : 25,
                "name" : "unit",
                "getPSAppDEField" : {
                  "name" : "UNIT",
                  "codeName" : "Unit"
                }
              }, {
                "dataType" : 25,
                "name" : "ibizorderdetailid",
                "getPSAppDEField" : {
                  "name" : "IBIZORDERDETAILID",
                  "codeName" : "IBIZOrderDetailId"
                }
              }, {
                "dataType" : 25,
                "name" : "srfkey",
                "getPSAppDEField" : {
                  "name" : "IBIZORDERDETAILID",
                  "codeName" : "IBIZOrderDetailId"
                }
              }, {
                "dataType" : 25,
                "name" : "srfdataaccaction",
                "getPSAppDEField" : {
                  "name" : "IBIZORDERDETAILID",
                  "codeName" : "IBIZOrderDetailId"
                },
                "dataAccessAction" : true
              }, {
                "dataType" : 25,
                "name" : "ibizorderid",
                "getPSAppDEField" : {
                  "name" : "IBIZORDERID",
                  "codeName" : "IBIZOrderId"
                }
              }, {
                "dataType" : 25,
                "name" : "ibizuniproductid",
                "getPSAppDEField" : {
                  "name" : "IBIZUNIPRODUCTID",
                  "codeName" : "IBIZUNIProductId"
                }
              }, {
                "dataType" : 25,
                "name" : "srfmajortext",
                "getPSAppDEField" : {
                  "name" : "IBIZORDERDETAILNAME",
                  "codeName" : "IBIZOrderDetailName"
                }
              } ],
              "getPSDEGridEditItems" : [ {
                "caption" : "订单明细标识",
                "codeName" : "srfkey",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "mOSFilePath" : "psdegridcols/srfkey",
                "name" : "srfkey",
                "getPSAppDEField" : {
                  "name" : "IBIZORDERDETAILID",
                  "codeName" : "IBIZOrderDetailId"
                },
                "getPSEditor" : {
                  "editorType" : "HIDDEN",
                  "name" : "srfkey"
                },
                "rTMOSFilePath" : "psdegridcols/srfkey",
                "allowEmpty" : true
              } ],
              "pagingSize" : 10,
              "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView/psappviewctrls/grid",
              "getRemovePSControlAction" : {
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                }
              },
              "sortMode" : "REMOTE",
              "hasWFDataItems" : false,
              "enableColFilter" : false,
              "enableCustomized" : true,
              "enableGroup" : false,
              "enablePagingBar" : true,
              "enableRowEdit" : false,
              "enableRowEditOrder" : false,
              "enableRowNew" : false,
              "forceFit" : true,
              "hideHeader" : false,
              "noSort" : false,
              "singleSelect" : false,
              "name" : "grid",
              "modelid" : "d1ab03dfc88189ae9dcc5e21a1458f93",
              "modeltype" : "PSDEGRID"
            }, {
              "codeName" : "GridViewtoolbar",
              "controlType" : "TOOLBAR",
              "hookEventNames" : [ "CLICK" ],
              "logicName" : "工具栏模板（默认表格界面）",
              "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/psdetoolbars/GridViewtoolbar",
              "name" : "toolbar",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              },
              "getPSControlLogics" : [ {
                "eventArg" : "tbitem3",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem3_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem3_click"
                }
              }, {
                "eventArg" : "deuiaction2",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_deuiaction2_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_deuiaction2_click"
                }
              }, {
                "eventArg" : "tbitem4",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem4_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem4_click"
                }
              }, {
                "eventArg" : "tbitem6",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem6_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem6_click"
                }
              }, {
                "eventArg" : "deuiaction3",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_deuiaction3_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_deuiaction3_click"
                }
              }, {
                "eventArg" : "tbitem24",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem24_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem24_click"
                }
              }, {
                "eventArg" : "tbitem25",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem25_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem25_click"
                }
              }, {
                "eventArg" : "tbitem8",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem8_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem8_click"
                }
              }, {
                "eventArg" : "tbitem13",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem13_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem13_click"
                }
              }, {
                "eventArg" : "deuiaction1",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_deuiaction1_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_deuiaction1_click"
                }
              }, {
                "eventArg" : "tbitem11",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem11_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem11_click"
                }
              }, {
                "eventArg" : "tbitem21",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem21_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem21_click"
                }
              }, {
                "eventArg" : "tbitem23",
                "eventNames" : "CLICK",
                "logicTag" : "toolbar",
                "logicType" : "APPVIEWLOGIC",
                "name" : "toolbar_tbitem23_click",
                "getPSAppViewLogic" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem23_click"
                }
              } ],
              "getPSControlParam" : {
                "id" : "TOOLBAR"
              },
              "getPSDEToolbarItems" : [ {
                "actionLevel" : 250,
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.NEW",
                  "mOSFilePath" : "pslanguageres/Auto1712",
                  "rTMOSFilePath" : "pslanguageres/Auto1712"
                },
                "caption" : "新建",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "tbitem3",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem3"
                },
                "getPSSysImage" : {
                  "glyph" : "xf0f6@FontAwesome",
                  "cssClass" : "fa fa-file-text-o"
                },
                "getPSUIAction" : {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "TBB.TEXT.*.NEW",
                    "mOSFilePath" : "pslanguageres/Auto1712",
                    "rTMOSFilePath" : "pslanguageres/Auto1712"
                  },
                  "caption" : "新建",
                  "codeName" : "New",
                  "fullCodeName" : "New",
                  "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
                  "name" : "表格界面_新建操作",
                  "getPSSysImage" : {
                    "glyph" : "xf0f6@FontAwesome",
                    "cssClass" : "fa fa-file-text-o"
                  },
                  "predefinedType" : "GRIDVIEW_NEWACTION",
                  "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/New",
                  "timeout" : 60000,
                  "getTooltipPSLanguageRes" : {
                    "lanResTag" : "TBB.TOOLTIP.*.NEW",
                    "mOSFilePath" : "pslanguageres/Auto274",
                    "rTMOSFilePath" : "pslanguageres/Auto274"
                  },
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "New",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "新建",
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.NEW",
                  "mOSFilePath" : "pslanguageres/Auto274",
                  "rTMOSFilePath" : "pslanguageres/Auto274"
                },
                "showCaption" : true,
                "showIcon" : true
              }, {
                "actionLevel" : 250,
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.SAVE",
                  "mOSFilePath" : "pslanguageres/Auto71",
                  "rTMOSFilePath" : "pslanguageres/Auto71"
                },
                "caption" : "保存",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "deuiaction2",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_deuiaction2"
                },
                "getPSSysImage" : {
                  "glyph" : "xf0c7@FontAwesome",
                  "cssClass" : "fa fa-save"
                },
                "getPSUIAction" : {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "TBB.TEXT.*.SAVE",
                    "mOSFilePath" : "pslanguageres/Auto71",
                    "rTMOSFilePath" : "pslanguageres/Auto71"
                  },
                  "caption" : "保存",
                  "codeName" : "Save",
                  "fullCodeName" : "Save",
                  "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
                  "name" : "编辑界面_保存操作",
                  "getPSSysImage" : {
                    "glyph" : "xf0c7@FontAwesome",
                    "cssClass" : "fa fa-save"
                  },
                  "predefinedType" : "EDITVIEW_SAVEACTION",
                  "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Save",
                  "timeout" : 60000,
                  "getTooltipPSLanguageRes" : {
                    "lanResTag" : "TBB.TOOLTIP.*.SAVE",
                    "mOSFilePath" : "pslanguageres/Auto1630",
                    "rTMOSFilePath" : "pslanguageres/Auto1630"
                  },
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "Save",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "保存",
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.SAVE",
                  "mOSFilePath" : "pslanguageres/Auto1630",
                  "rTMOSFilePath" : "pslanguageres/Auto1630"
                },
                "showCaption" : true,
                "showIcon" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.EDIT",
                  "mOSFilePath" : "pslanguageres/Auto1585",
                  "rTMOSFilePath" : "pslanguageres/Auto1585"
                },
                "caption" : "编辑",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "tbitem4",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem4"
                },
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "TBB.TEXT.*.EDIT",
                    "mOSFilePath" : "pslanguageres/Auto1585",
                    "rTMOSFilePath" : "pslanguageres/Auto1585"
                  },
                  "caption" : "编辑",
                  "codeName" : "Edit",
                  "fullCodeName" : "Edit",
                  "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
                  "name" : "表格界面_编辑操作",
                  "getPSSysImage" : {
                    "glyph" : "xf044@FontAwesome",
                    "cssClass" : "fa fa-edit"
                  },
                  "predefinedType" : "GRIDVIEW_EDITACTION",
                  "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Edit",
                  "timeout" : 60000,
                  "getTooltipPSLanguageRes" : {
                    "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                    "mOSFilePath" : "pslanguageres/Auto834",
                    "rTMOSFilePath" : "pslanguageres/Auto834"
                  },
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "Edit",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "编辑",
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                  "mOSFilePath" : "pslanguageres/Auto834",
                  "rTMOSFilePath" : "pslanguageres/Auto834"
                },
                "showCaption" : true,
                "showIcon" : false
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.COPY",
                  "mOSFilePath" : "pslanguageres/Auto514",
                  "rTMOSFilePath" : "pslanguageres/Auto514"
                },
                "caption" : "拷贝",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "tbitem6",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem6"
                },
                "getPSSysImage" : {
                  "glyph" : "xf0c5@FontAwesome",
                  "cssClass" : "fa fa-copy"
                },
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "TBB.TEXT.*.COPY",
                    "mOSFilePath" : "pslanguageres/Auto514",
                    "rTMOSFilePath" : "pslanguageres/Auto514"
                  },
                  "caption" : "拷贝",
                  "codeName" : "Copy",
                  "fullCodeName" : "Copy",
                  "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Copy",
                  "name" : "表格界面_拷贝操作",
                  "getPSSysImage" : {
                    "glyph" : "xf0c5@FontAwesome",
                    "cssClass" : "fa fa-copy"
                  },
                  "predefinedType" : "GRIDVIEW_COPYACTION",
                  "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Copy",
                  "timeout" : 60000,
                  "getTooltipPSLanguageRes" : {
                    "lanResTag" : "TBB.TOOLTIP.*.COPY",
                    "mOSFilePath" : "pslanguageres/Auto1542",
                    "rTMOSFilePath" : "pslanguageres/Auto1542"
                  },
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "Copy",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "拷贝",
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.COPY",
                  "mOSFilePath" : "pslanguageres/Auto1542",
                  "rTMOSFilePath" : "pslanguageres/Auto1542"
                },
                "showCaption" : true,
                "showIcon" : false
              }, {
                "itemType" : "SEPERATOR",
                "name" : "tbitem7",
                "spanMode" : false
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.REMOVE",
                  "mOSFilePath" : "pslanguageres/Auto998",
                  "rTMOSFilePath" : "pslanguageres/Auto998"
                },
                "caption" : "删除",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "tbitem8",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem8"
                },
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "getPSUIAction" : {
                  "actionTarget" : "MULTIKEY",
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "TBB.TEXT.*.REMOVE",
                    "mOSFilePath" : "pslanguageres/Auto998",
                    "rTMOSFilePath" : "pslanguageres/Auto998"
                  },
                  "caption" : "删除",
                  "codeName" : "Remove",
                  "fullCodeName" : "Remove",
                  "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
                  "name" : "表格界面_删除操作",
                  "getPSSysImage" : {
                    "glyph" : "xf00d@FontAwesome",
                    "cssClass" : "fa fa-remove"
                  },
                  "predefinedType" : "GRIDVIEW_REMOVEACTION",
                  "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Remove",
                  "timeout" : 60000,
                  "getTooltipPSLanguageRes" : {
                    "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                    "mOSFilePath" : "pslanguageres/Auto1782",
                    "rTMOSFilePath" : "pslanguageres/Auto1782"
                  },
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "Remove",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "删除",
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                  "mOSFilePath" : "pslanguageres/Auto1782",
                  "rTMOSFilePath" : "pslanguageres/Auto1782"
                },
                "showCaption" : true,
                "showIcon" : false
              }, {
                "itemType" : "SEPERATOR",
                "name" : "tbitem9",
                "spanMode" : false
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.EXPORT",
                  "mOSFilePath" : "pslanguageres/Auto1675",
                  "rTMOSFilePath" : "pslanguageres/Auto1675"
                },
                "caption" : "导出",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "tbitem13",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem13"
                },
                "getPSSysImage" : {
                  "glyph" : "xf1c3@FontAwesome",
                  "cssClass" : "fa fa-file-excel-o"
                },
                "getPSUIAction" : {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "TBB.TEXT.*.EXPORT",
                    "mOSFilePath" : "pslanguageres/Auto1675",
                    "rTMOSFilePath" : "pslanguageres/Auto1675"
                  },
                  "caption" : "导出",
                  "codeName" : "ExportExcel",
                  "fullCodeName" : "ExportExcel",
                  "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportExcel",
                  "name" : "表格界面_导出操作（Excel）",
                  "getPSSysImage" : {
                    "glyph" : "xf1c3@FontAwesome",
                    "cssClass" : "fa fa-file-excel-o"
                  },
                  "predefinedType" : "GRIDVIEW_EXPORTACTION",
                  "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportExcel",
                  "timeout" : 60000,
                  "getTooltipPSLanguageRes" : {
                    "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
                    "mOSFilePath" : "pslanguageres/Auto160",
                    "rTMOSFilePath" : "pslanguageres/Auto160"
                  },
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "ExportExcel",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "导出",
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
                  "mOSFilePath" : "pslanguageres/Auto160",
                  "rTMOSFilePath" : "pslanguageres/Auto160"
                },
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "导入",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "deuiaction1",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_deuiaction1"
                },
                "getPSSysImage" : {
                  "glyph" : "xf093@FontAwesome",
                  "cssClass" : "fa fa-upload"
                },
                "getPSUIAction" : {
                  "actionTarget" : "NONE",
                  "caption" : "导入",
                  "codeName" : "ImportExcel",
                  "frontProcessType" : "OPENHTMLPAGE",
                  "fullCodeName" : "ImportExcel",
                  "htmlPageUrl" : "../../ibizutil/uploaddedataview.jsp?srfdeid=",
                  "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ImportExcel",
                  "name" : "导入",
                  "getPSSysImage" : {
                    "glyph" : "xf093@FontAwesome",
                    "cssClass" : "fa fa-upload"
                  },
                  "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ImportExcel",
                  "timeout" : 60000,
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "ImportExcel",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "导入",
                "showCaption" : true,
                "showIcon" : true
              }, {
                "itemType" : "SEPERATOR",
                "name" : "tbitem10",
                "spanMode" : false
              }, {
                "caption" : "其它",
                "itemType" : "ITEMS",
                "name" : "tbitem16",
                "getPSDEToolbarItems" : [ {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
                    "mOSFilePath" : "pslanguageres/Auto1443",
                    "rTMOSFilePath" : "pslanguageres/Auto1443"
                  },
                  "caption" : "导出数据模型",
                  "groupExtractMode" : "ITEM",
                  "itemType" : "DEUIACTION",
                  "name" : "tbitem21",
                  "noPrivDisplayMode" : 2,
                  "getPSAppViewUIAction" : {
                    "modelref" : true,
                    "id" : "toolbar_tbitem21"
                  },
                  "getPSSysImage" : {
                    "glyph" : "xf019@FontAwesome",
                    "cssClass" : "fa fa-download"
                  },
                  "getPSUIAction" : {
                    "getCapPSLanguageRes" : {
                      "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
                      "mOSFilePath" : "pslanguageres/Auto1443",
                      "rTMOSFilePath" : "pslanguageres/Auto1443"
                    },
                    "caption" : "导出数据模型",
                    "codeName" : "ExportModel",
                    "fullCodeName" : "ExportModel",
                    "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportModel",
                    "name" : "表格界面_导出数据模型",
                    "getPSSysImage" : {
                      "glyph" : "xf019@FontAwesome",
                      "cssClass" : "fa fa-download"
                    },
                    "predefinedType" : "GRIDVIEW_EXPORTXMLACTION",
                    "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/ExportModel",
                    "timeout" : 60000,
                    "uIActionMode" : "SYS",
                    "uIActionTag" : "ExportModel",
                    "uIActionType" : "DEUIACTION"
                  },
                  "tooltip" : "导出数据模型",
                  "showCaption" : true,
                  "showIcon" : true
                }, {
                  "caption" : "数据导入",
                  "groupExtractMode" : "ITEM",
                  "itemType" : "DEUIACTION",
                  "name" : "tbitem23",
                  "noPrivDisplayMode" : 2,
                  "getPSAppViewUIAction" : {
                    "modelref" : true,
                    "id" : "toolbar_tbitem23"
                  },
                  "getPSSysImage" : {
                    "glyph" : "xf093@FontAwesome",
                    "cssClass" : "fa fa-upload"
                  },
                  "getPSUIAction" : {
                    "caption" : "数据导入",
                    "codeName" : "Import",
                    "fullCodeName" : "Import",
                    "mOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Import",
                    "name" : "表格界面_数据导入栏",
                    "getPSSysImage" : {
                      "glyph" : "xf093@FontAwesome",
                      "cssClass" : "fa fa-upload"
                    },
                    "predefinedType" : "GRIDVIEW_IMPORTBAR",
                    "rTMOSFilePath" : "pssysapps/Web/pssysappdeuiactions/Import",
                    "timeout" : 60000,
                    "uIActionMode" : "SYS",
                    "uIActionTag" : "Import",
                    "uIActionType" : "DEUIACTION"
                  },
                  "tooltip" : "数据导入",
                  "showCaption" : true,
                  "showIcon" : true
                } ],
                "tooltip" : "其它",
                "showCaption" : true,
                "showIcon" : true
              } ],
              "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView/psappviewctrls/toolbar",
              "modelid" : "47d7b189cb310900c71aaabc97f7444b",
              "modeltype" : "PSDETOOLBAR"
            } ],
            "getPSDEViewCodeName" : "GridView",
            "getPSDEViewId" : "14501d934f5afc99306c47cf9ac3d9d1",
            "getPSViewLayoutPanel" : {
              "codeName" : "Layoutpanel",
              "controlStyle" : "APPDEGRIDVIEW",
              "controlType" : "VIEWLAYOUTPANEL",
              "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/pssysviewlayoutpanels/Layoutpanel",
              "name" : "layoutpanel",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              },
              "getPSControlParam" : { },
              "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView/psappviewctrls/layoutpanel",
              "layoutBodyOnly" : true,
              "layoutPanel" : true,
              "useDefaultLayout" : true
            },
            "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderDetailGridView",
            "title" : "订单明细表格视图",
            "getTitlePSLanguageRes" : {
              "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.GRIDVIEW",
              "mOSFilePath" : "pslanguageres/Auto1030",
              "rTMOSFilePath" : "pslanguageres/Auto1030"
            },
            "viewStyle" : "DEFAULT",
            "viewType" : "DEGRIDVIEW",
            "xDataControlName" : "grid",
            "enableDP" : true,
            "enableExport" : true,
            "enableFilter" : false,
            "enableImport" : true,
            "enableQuickSearch" : true,
            "enableRowEdit" : false,
            "rowEditDefault" : false,
            "modelid" : "285cdedb2cfbebbb1ba8e5659e49bc7f",
            "modeltype" : "PSAPPDEVIEW",
            "getPSAppDERSPaths" : [ [ {
              "actionRSMode" : 1,
              "codeName" : "IBIZORDERDETAILS",
              "dataRSMode" : 0,
              "mOSFilePath" : "pssysapps/Web/psappders/IBIZORDERDETAILS",
              "majorDECodeName" : "IBIZOrder",
              "majorDEName" : "IBIZORDER",
              "getMajorPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              },
              "minorDECodeName" : "IBIZOrderDetail",
              "minorDEName" : "IBIZORDERDETAIL",
              "getMinorPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              },
              "name" : "订单实体_订单明细",
              "getParentPSAppDEField" : {
                "name" : "IBIZORDERID",
                "codeName" : "IBIZOrderId"
              },
              "rSMode" : 2,
              "rTMOSFilePath" : "pssysapps/Web/psappders/IBIZORDERDETAILS"
            } ] ]
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "parentDataJO" : {
            "srfparentdefname" : "IBIZORDERID",
            "srfparentdename" : "IBIZORDER",
            "SRFPARENTTYPE" : "DER1N",
            "srfparentmode" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
            "SRFDER1NID" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID"
          },
          "rTMOSFilePath" : "psdeformdetail_druiparts/druipart1",
          "needSave" : false,
          "refreshItemsSetParamOnly" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderF19EditView/psappviewctrls/form",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "getWFStartPSControlAction" : {
      "modelref" : true,
      "id" : "WFSTART"
    },
    "getWFSubmitPSControlAction" : {
      "modelref" : true,
      "id" : "WFSUBMIT"
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "a0662a3eab475ab94e54ab0383a90052",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "F19EditView",
  "getPSDEViewId" : "c7e38c1ef39919acc9ca302d80294119",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/pssysviewlayoutpanels/Layoutpanel",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlParam" : { },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderF19EditView/psappviewctrls/layoutpanel",
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getPSWFVersion" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ODSP/PSWFVERSIONS/ODSPv1.json"
  },
  "getPSWorkflow" : {
    "modelref" : true,
    "path" : "PSWORKFLOWS/ODSP.json"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderF19EditView",
  "title" : "订单编辑视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZORDER.F12EDITVIEW",
    "mOSFilePath" : "pslanguageres/Auto1272",
    "rTMOSFilePath" : "pslanguageres/Auto1272"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "c02089205b1bd1236ced28b71a9df413",
  "modeltype" : "PSAPPDEVIEW"
}